Loading...
Searching...
No Matches
casacore::TableExprGroupLast Class Reference
tables package (libcasa_tables) » TaQL_module » TaQL_module_internal_classes

Class derived from TableExprGroupFuncBase for the first value in a group. More...

`#include <ExprGroup.h>`

## Public Member Functions

| TableExprGroupLast (TableExprNodeRep *node)
virtual | ~TableExprGroupLast ()
virtual void | apply (const TableExprId &id)
| Get the operand's value for the given row and apply it to the aggregation.
Public Member Functions inherited from casacore::TableExprGroupFirst
| TableExprGroupFirst (TableExprNodeRep *node)
virtual | ~TableExprGroupFirst ()
virtual Bool | getBool (const vector< TableExprId > &)
| Get the aggregated value.
virtual Int64 | getInt (const vector< TableExprId > &)
virtual Double | getDouble (const vector< TableExprId > &)
virtual DComplex | getDComplex (const vector< TableExprId > &)
virtual MVTime | getDate (const vector< TableExprId > &)
virtual String | getString (const vector< TableExprId > &)
virtual MArray< Bool > | getArrayBool (const vector< TableExprId > &)
virtual MArray< Int64 > | getArrayInt (const vector< TableExprId > &)
virtual MArray< Double > | getArrayDouble (const vector< TableExprId > &)
virtual MArray< DComplex > | getArrayDComplex (const vector< TableExprId > &)
virtual MArray< MVTime > | getArrayDate (const vector< TableExprId > &)
virtual MArray< String > | getArrayString (const vector< TableExprId > &)
Public Member Functions inherited from casacore::TableExprGroupFuncBase
| TableExprGroupFuncBase (TableExprNodeRep *node)
| Construct from the TaQL aggregation node.
virtual | ~TableExprGroupFuncBase ()
| TableExprGroupFuncBase (const TableExprGroupFuncBase &)=delete
| Copying is not needed, thus not allowed.
TableExprGroupFuncBase & | operator= (const TableExprGroupFuncBase &)=delete
virtual Bool | isLazy () const
| Does the aggregate function use lazy semantics?
uInt | seqnr () const
| Get the function's sequence nr.
void | setSeqnr (uInt seqnr)
| Set the function's sequence nr.
virtual void | finish ()
| If needed, finish the aggregation.
virtual std::shared_ptr< vector< TableExprId > > | getIds () const
| Get the assembled TableExprIds of a group.

## Additional Inherited Members

Protected Attributes inherited from casacore::TableExprGroupFirst
TableExprId | itsId
Protected Attributes inherited from casacore::TableExprGroupFuncBase
TableExprNodeRep * | itsNode
TableExprNodeRep * | itsOperand
uInt | itsSeqnr

## Detailed Description

Class derived from TableExprGroupFuncBase for the first value in a group.

### Intended use:

Internal

### Review Status

Test programs:
  tExprGroup

### Synopsis

This class keeps the TableExprId of the last value in a group. The 'getXXX' functions get the value for that TableExprId.
For ease of use this class is derived from TableExprGroupFirst.

Definition at line 315 of file ExprGroup.h.

## Constructor & Destructor Documentation

## TableExprGroupLast()

casacore::TableExprGroupLast::TableExprGroupLast | ( | TableExprNodeRep * | node | ) |

explicit

## ~TableExprGroupLast()

virtual casacore::TableExprGroupLast::~TableExprGroupLast | ( |  | ) |

virtual

## Member Function Documentation

## apply()

virtual void casacore::TableExprGroupLast::apply | ( | const TableExprId & | id | ) |

virtual

Get the operand's value for the given row and apply it to the aggregation.

This function should not be called for lazy classes.

Reimplemented from casacore::TableExprGroupFirst.

The documentation for this class was generated from the following file:

- tables/TaQL/ExprGroup.h